<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\Kursdetails\DetailsReiter\Teilnehmer\SammelEinzelBearbeitung;

class SammelEinzelBearbeitungFormularView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'basis/kursdetails/detailsreiter/teilnehmer_sammelbearbeiten_formular.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    $kurs = $this->viewModel->kurs;
    $kurs->referer = $this->viewModel->referer;
    $kurs->refererLabel = $this->viewModel->refererLabel;
    $kurs->fehlerstatus = $this->viewModel->status;
    $kurs->toolId = $this->viewModel->toolId;

    return array($kurs);
  }

  protected function getDefaultExportAdaper()
  {
    return new \ExpKurse(true);
  }
}

class SammelEinzelBearbeitungFormularViewModel
{
  public $toolId;
  public $kurs;
  public $referer;
  public $refererLabel;
  public $status;
}